setSClass {methods} | R Documentation

## Low-level Class definition

### Description

This is the lower-level version of `setClass`. Unless you really know why you are calling it, use `setClass` instead.

### Usage

    setSClass(name, properties=list(), extends=character(),
              prototype=NULL, generatorFunction, where=1,
              subclasses=character(), virtual=NA, validity, access)

### Arguments

`name` | character string name for the class
`properties` | the `representation` argument to `setClass`
`extends` | what classes does this class extend
`prototype` | an object (usually a list) providing the default data for the slots specified in the representation.
`generatorFunction` | an optional function to use in generating new objects from the class
`where` | where to store the resulting definition (as metadata). By default, uses the global environment.
`subclasses` | Classes that extend this class.
`virtual` | Is this known to be a virtual class?
`validity, access` | Optional arguments for validity method and access restrictions. At the time of writing, these are included for compatibility and are not used. In the future, however, the validity method is likely to be relevant. See Programming with Data for its interpretation.

### Author(s)

John Chambers

### References

The web page http://www.omegahat.org/RSMethods/index.html is the primary documentation.

The functions in this package emulate the facility for classes and methods described in Programming with Data (John M. Chambers, Springer, 1998). See this book for further details and examples.

### See Also

`setClass`

[Package Contents]